* {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: "Montserrat", sans-serif;
  background-color: #1a1a1a;
  background-image: url("assets/dogs_2.png");
  background-position: center;
  width: 100%;
}

h1 {
  font-weight: bold;
  font-size: 64px;
  line-height: 48px;
  color: #fff;
  text-align: center;
  margin-bottom: 4rem;
  font-family: shrikhand;
  background-color: rgba(14, 13, 13, 0.8);
  padding: 32px;
  transform: rotate(-10deg);
}

.heading {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin-top: 2rem;
}

h2 {
  font-weight: bold;
  font-size: 24px;
  line-height: 34px;
  color: #fff;
  text-align: center;
  margin-top: 0;
  margin-bottom: 36px;
}

p {
  font-size: 18px;
  font-weight: 600;
  line-height: 28px;
  margin: 0;
}

input {
  box-sizing: border-box;
  border: none;
  border-radius: 8px;
  background: #e5e9ff;
  color: #0026ff;
  padding: 16px;
  font-size: 16px;
  margin-right: 1rem;
  font-family: "Montserrat";
  font-weight: 600;
  line-height: 26px;
  flex: 1;
}

main {
  margin: 0 auto;
  /* width: 100%; */
  max-width: 700px;
  height: 400px;
  border-radius: 20px;
  background: rgba(14, 13, 13, 0.8);
  padding: 1.5rem;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}

.chat {
  flex: 1;
  display: flex;
  justify-content: flex-start;
  overflow: scroll;
  flex-direction: column;
  padding-bottom: 16px;
}

.bot-msg {
  display: flex;
  margin: 0px 8px 0 8px;
  flex-shrink: 0;
}

.user-msg {
  display: flex;
  justify-content: flex-end;
  margin: 16px 0 0 8px;
  flex-shrink: 0;
}

.bot-msg img,
.user-msg img {
  width: 60px;
  height: 60px;
}

.bubble {
  background: #f8f8f8;
  font-weight: 600;
  font-size: 16px;
  line-height: 26px;
  padding: 16px 24px;
  color: #1a1a1a;
  max-width: 40%;
  transition: ease-in, 5s;
}

.bot-bubble {
  border-radius: 0px 26px 26px 26px;
  margin-left: 8px;
  transition: ease-in;
  color: #fff;
  background-color: #222;
}

.user-bubble {
  border-radius: 26px 0 26px 26px;
  margin-right: 8px;
  background: #444;
  color: #fff;
  transition: ease-in;
}

.input-wrapper {
  display: flex;
  justify-content: center;
}

.input-wrapper form {
  width: 100%;
  display: flex;
  margin-left: 16px;
}

button {
  background-color: #dc1aa6;
  color: white;
  border: none;
  border-radius: 8px;
  padding: 16px 40px;
  margin-right: 16px;
  font-size: 16px;
  line-height: 26px;
  font-family: "Montserrat";
  font-weight: 500;
  cursor: pointer;
  transition: all 0.3s ease;
}

button:hover {
  background-color: #b61287;
  transition: all 0.2s ease;
}

.links {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
}

.header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 2rem;
}

a {
  margin-left: 0.5rem;
  margin-right: 2rem;
  color: #1a1a1a;
  text-decoration: none;
  font-weight: bold;
}

.voff {
  background-color: rgb(22, 71, 55);
}

.voff:hover {
  background-color: rgb(12, 49, 37);
  position: relative;
  transform: scale(1.1);
  transition-property: all;
  transition-duration: 0.4s;
}

.mjau:hover {
  background-color: rgb(8, 25, 71);
  position: relative;
  transform: scale(1.1);
  transition-property: all;
  transition-duration: 0.4s;
}

.mjau {
  background-color: rgb(10, 37, 112);
  margin-right: 0%;
}

.voff-buttons-bottom {
  display: none;
}

.github-logo {
  width: 40px;
  height: auto;
}

.pat-jes {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.pat-jes:hover {
  position: relative;
  transform: scale(1.1);
  transition-property: all;
  transition-duration: 0.4s;
}

/* MEDIAQUERY MOBILE */
/* -------------------------------------- */

@media (max-width: 767px) {
  body {
    margin-bottom: 64px;
    padding-left: 1rem;
    padding-right: 1rem;
  }

  .header {
    flex-direction: column;
    align-items: center;
    padding: 1rem;
    width: 100%;
  }

  .heading {
    margin-top: 1rem;
  }

  .github-logo {
    width: 2rem;
  }

  a {
    font-size: 14px;
    color: #333;
    margin-right: 0.5rem;
  }

  h1 {
    font-size: 2rem;
    line-height: 2rem;
    margin-bottom: 1rem;
    padding: 1.5rem;
    transform: rotate(-5deg);
    margin-top: 0%;
    margin-bottom: 2rem;
  }

  main {
    height: 370px;
  }

  .send-btn {
    font-size: 14px;
    padding: 12px;
    margin-right: 0%;
  }

  .voff-buttons {
    display: none;
  }

  .voff-buttons-bottom {
    max-width: 700px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: 1.5rem;
    margin: 1rem auto;
  }

  .mjau {
    margin-right: 0;
    width: 50%;
    font-size: 14px;
    padding-left: 0%;
    padding-right: 0%;
  }

  .voff {
    width: 50%;
    margin-right: 1rem;
    padding-left: 0%;
    padding-right: 0%;
  }

  .button {
    margin-right: 0;
    font-size: 14px;
    line-height: 20x;
  }

  .name-form {
    display: flex;
    flex-direction: column;
    margin: 0%;
    padding: 0%;
  }

  .input-wrapper form {
    margin-left: 0px;
  }

  #name-input {
    margin: 0 0 1rem 0;
    padding-top: 12px;
  }

  .input {
    padding: 0.5rem;
  }

  .bot-msg img,
  .user-msg img {
    width: 40px;
    height: 40px;
  }

  .bubble {
    max-width: 100%;
    margin-bottom: 0.5rem;
  }

  p {
    font-size: 1rem;
    line-height: 20px;
  }

  .bot-msg {
    margin: 0;
  }

  .user-msg {
    margin: 0;
  }

  #yes {
    width: 50%;
    margin-right: 0.5rem;
  }

  #no {
    width: 50%;
    margin-left: 0.5rem;
  }

  #kaffe {
    width: 50%;
    margin-left: 0.5rem;
    line-height: 20px;
  }

  #svante {
    width: 50%;
    margin-left: 0.5rem;
  }

  #bye {
    width: 100%;
  }
}

/* MEDIAQUERY TABLET */
/* -------------------------------------- */

@media (min-width: 768px) and (max-width: 991px) {
  .header {
    flex-direction: column;
    padding-left: 1rem;
    padding-right: 1rem;
    margin-bottom: 0%;
    padding-bottom: 0%;
  }

  h1 {
    font-size: 64x;
    padding: 1rem;
  }

  .heading {
    margin-top: 0%;
  }

  .links {
    align-items: left;
    margin-left: 0%;
    margin-bottom: 2rem;
    font-size: 1rem;
  }

  .github-logo {
    width: 56px;
  }

  .mjau {
    margin-right: 0;
    width: 50%;
  }

  .voff {
    width: 50%;
  }

  .voff-buttons {
    display: none;
  }

  .voff-buttons-bottom {
    max-width: 700px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: 1.5rem;
    margin: 1rem auto;
  }

  main {
    height: 550px;
  }
}
